numasched(8)

NAME
numasched - Tracing task switch NUMA. Uses bcc/eBPF.

SYNOPSIS
numasched

DESCRIPTION
numasched tracked task switch of NUMA.

This program is also a basic example of bcc and tracepoint.

Since this uses BPF, only the root user can use this tool.

REQUIREMENTS
CONFIG_BPF and bcc.

OPTIONS

-p, --pid PID
    Trace this PID only.

-t, --tid TID
    Trace this TID only.

-c, --comm COMM
    Trace this COMM only.

EXAMPLES

Tracing task switch NUMA:
    # numasched

Trace PID 181 only:
    # numasched -p 181

FIELDS

TIME
    A timestamp on the output, in "HH:MM:SS" format.

PID The process ID.

TID The thread ID.

SRC_NID
    Source NUMA ID.

DST_NID
    Target NUMA ID.

COMM
    The process COMM.

SOURCE
This is from bcc.

    https://github.com/iovisor/bcc

Also look in the bcc distribution for a companion _examples.txt file containing example usage, output, and commentary for this tool.

OS
Linux

STABILITY
Unstable - in development.

AUTHOR
Rong Tao <rongtao@cestc.cn>

SEE ALSO
opensnoop(8)